<?php	
	/* 	gps.php, Sandra Schadenbauer, 2007
		basierend auf gps.php (GPS demo script) von Andreas Forstinger, 2007 */		

	global $CFG, $USER;

	$_SESSION["Section"]="";
	$_SESSION["Area"]="";
	$_SESSION["Name"]="";
	$_SESSION["Description"]="";
	//Variablen in Session lschen
	unset($_SESSION["Section"]);
	unset($_SESSION["Area"]);
	unset($_SESSION["Name"]);
	unset($_SESSION["Description"]);
	
	if(empty($CFG->gpsloc_supported))
	{ // just in case gps support is not installed
    	momo_print_error('error_gps_not_supported');
	}

	// try to read latest GPS location from db
	$lastposition = get_records_select('gpstrack',"userid = $USER->id", 'timestamp DESC', '*', 0, 3);

	/// start output
?>

	<ps t="GPS" reload="30">
		<pa>
			<eval t="api" v="location" else="true">
			<momo:gps title="Start GPS" start="true" locationapi="true" url="<?php echo($CFG->wwwroot)?>/momo/index.php?xml=gps/gpsupdate.php"/><br/>
			<momo:gps title="Stop GPS" start="false" locationapi="true"><br/>
			<evalelse>
			<momo:gps title="Start GPS" start="true" locationapi="false" url="<?php echo($CFG->wwwroot)?>/momo/index.php?xml=gps/gpsupdate.php"/><br/>
			<momo:gps title="Stop GPS" start="false" locationapi="false"><br/>
			</evalelse>
			</eval>
			<br/>
			
<?php 

	if($lastposition)
	{ // there was a record in db ?>
			Letzte bekannte Positionen:<br/>
<?php
        foreach ($lastposition as $position){
            echo(substr($position->lat,0,11) . '/' . substr($position->lng,0,11) . '<br> @ ' . date("d.m.y - H:i:s",$position->timestamp) . '<br/>');
        }
    }
?>
			<menu u="gps/gps.php" t="m" w="Refresh this page"/>
		</pa>
	</ps>